// App Styles
// ----------------------------------------------------------------------------
// Put style rules here that you want to apply to the entire application. These
// styles are for the entire app and not just one component. Additionally, this
// file can hold Sass mixins, functions, and placeholder classes to be imported
// and used throughout the application.

.selected {
    font-weight: bold;
}

.action-sheet-button.sc-ion-action-sheet-md,
.action-sheet-button.sc-ion-action-sheet-ios {
    font-size: 14px;
    height: 50px;
    word-break: break-word;
}

:root {
    @supports (padding-top: constant(safe-area-inset-top)) {
        --safe-area-inset-top: constant(safe-area-inset-top, 20px);
    }

    @supports (padding-top: env(safe-area-inset-top)) {
        --safe-area-inset-top: env(safe-area-inset-top, 20px);
    }

    @supports (padding-bottom: constant(safe-area-inset-bottom)) {
        --safe-area-inset-bottom: constant(safe-area-inset-bottom, 5px);
    }

    @supports (padding-bottom: env(safe-area-inset-bottom)) {
        --safe-area-inset-bottom: env(safe-area-inset-bottom, 5px);
    }
}

.custom-loading {
    --background: none;
    text-align: center;

    .loading-wrapper {
      box-shadow: none !important;
      -webkit-box-shadow: !important;
      height: 30%;
      width: 30%;
    }
  }
